com.unitech.lib.engine.types

## Enum PowerOffIndicator

- java.lang.Object
- - java.lang.Enum<PowerOffIndicator>
  - - com.unitech.lib.engine.types.PowerOffIndicator

- All Implemented Interfaces:
    Serializable, Comparable<PowerOffIndicator>

      public enum PowerOffIndicator
      extends Enum<PowerOffIndicator>

  The PowerOffIndicator enum represents different types of power off indicators. Each power off indicator is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a power off indicator, and to get a power off indicator from its byte value. It also provides a method to get an array containing the names of the power off indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beeper`
    `beeperVibrator`
    `none`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PowerOffIndicator` | `fromValue(int value)` Gets a power off indicator from its byte value.
    `byte` | `getCode()` Gets the byte value of the power off indicator.
    `static String[]` | `names()` Returns an array containing the names of the power off indicator constants.
    `String` | `toString()` Returns the string message of the power off indicator.
    `static PowerOffIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PowerOffIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final PowerOffIndicator none

    - #### beeper

          public static final PowerOffIndicator beeper

    - #### vibrator

          public static final PowerOffIndicator vibrator

    - #### beeperVibrator

          public static final PowerOffIndicator beeperVibrator

  - ### Method Detail

    - #### values

          public static PowerOffIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PowerOffIndicator c : PowerOffIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PowerOffIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the power off indicator.
      Returns:
        The byte value of the power off indicator.

    - #### toString

          public String toString()

      Returns the string message of the power off indicator.
      Overrides:
        `toString` in class `Enum<PowerOffIndicator>`
      Returns:
        The string message of the power off indicator.

    - #### fromValue

          public static PowerOffIndicator fromValue(int value)
                                             throws IllegalArgumentException

      Gets a power off indicator from its byte value.
      Parameters:
        `value` - The byte value of the power off indicator.
      Returns:
        The power off indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any power off indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the power off indicator constants.
      Returns:
        An array containing the names of the power off indicator constants.